Summary:	Decodes MS-TNEF attachments
Name:		tnef
Version:	1.4.18
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Mail
URL:		https://github.com/verdammelt/tnef
Source0:	https://github.com/verdammelt/tnef/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	mawk
BuildRequires:	gettext-devel
BuildRequires:	autoconf
BuildRequires:	libtool

%description
TNEF is a program for unpacking MIME attachments of type "application/ms-tnef".
This is a Microsoft only attachment. Due to the proliferation of Microsoft
Outlook and Exchange mail servers, more and more mail is encapsulated into
this format. The TNEF program allows one to unpack the attachments which were
encapsulated into the TNEF attachment. Thus alleviating the need to use
Microsoft Outlook to view the attachment.

%prep
%autosetup

%build
%serverbuild
autoreconf

%configure2_5x

%make_build

%check
make check

%install
%make_install

%files
%doc NEWS README.md THANKS
%license COPYING
%{_bindir}/tnef
%{_mandir}/man1/tnef.1*


%changelog
* Sat Nov 30 2019 daviddavid <daviddavid> 1.4.18-1.mga7
+ Revision: 1463817
- new version: 1.4.18, fixes CVE-2019-18849 (mga#25785)

* Wed Jan 02 2019 kekepower <kekepower> 1.4.17-2.mga7
+ Revision: 1348537
- Bump rel

* Tue Jan 01 2019 kekepower <kekepower> 1.4.17-1.mga7
+ Revision: 1348447
- Update to version 1.4.17

* Sun Sep 23 2018 umeabot <umeabot> 1.4.15-2.mga7
+ Revision: 1301429
- Mageia 7 Mass Rebuild
+ luigiwalser <luigiwalser>
- fix URL

* Mon Jun 05 2017 neoclust <neoclust> 1.4.15-1.mga6
+ Revision: 1106880
- New version
- Includes security fixes for CVE-2017-6307, CVE-2017-6308,
  CVE-2017-6309, CVE-2017-6310, CVE-2017-8911.

* Thu Mar 02 2017 ns80 <ns80> 1.4.9-6.mga6
+ Revision: 1088491
- add patches for CVE-2017-630[7-9] and CVE-2017-6310 (mga#20343)

* Mon Feb 08 2016 umeabot <umeabot> 1.4.9-5.mga6
+ Revision: 945244
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.9-4.mga5
+ Revision: 744875
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.9-3.mga5
+ Revision: 689909
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.4.9-2.mga5
+ Revision: 522593
- Mageia 4 Mass Rebuild

* Thu Mar 21 2013 dlucio <dlucio> 1.4.9-1.mga3
+ Revision: 404352
- 1.4.9

* Mon Jan 14 2013 umeabot <umeabot> 1.4.8-2.mga3
+ Revision: 384629
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 12 2011 tv <tv> 1.4.8-1.mga2
+ Revision: 142791
- new release

* Mon Jan 24 2011 ennael <ennael> 1.4.7-2.mga1
+ Revision: 36869
- imported package tnef


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.7-2mdv2011.0
+ Revision: 608033
- rebuild

* Fri Feb 12 2010 Frederik Himpe <fhimpe@mandriva.org> 1.4.7-1mdv2010.1
+ Revision: 505081
- update to new version 1.4.7

* Thu Oct 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.6-1mdv2010.0
+ Revision: 457549
- 1.4.6

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.4.5-2mdv2010.0
+ Revision: 427407
- rebuild

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.5-1mdv2009.1
+ Revision: 316158
- 1.4.5
- fix build with -Werror=format-security (P0)

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.4.3-5mdv2009.0
+ Revision: 225775
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-4mdv2008.1
+ Revision: 179657
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-3mdv2008.0
+ Revision: 51031
- use the new %%serverbuild macro


* Tue Jan 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-2mdv2007.0
+ Revision: 109407
- rebuilt against new libintl major (8)

* Tue Dec 12 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-1mdv2007.1
+ Revision: 95320
- 1.4.3
- fix deps
- rebuild
- Import tnef

* Fri Aug 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-1mdv2007.0
- 1.4.2
- fix deps

* Fri Apr 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-1mdk
- 1.4.1

* Mon Dec 19 2005 Lenny Cartier <lenny@mandriva.com> 1.3.4-1mdk
- 1.3.4

* Fri May 27 2005 Lenny Cartier <lenny@mandriva.com> 1.3.3-1mdk
- 1.3.3

* Sun Mar 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.2-1mdk
- 1.3.2
- run the tests

* Tue Jun 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.3.1-2mdk
- rebuilt with gcc v3.4.x

* Sat Apr 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.3.1-1mdk
- 1.2.3.1

